Attribute VB_Name = "Module1"
' ============================================================================
' =   Lynx Tecnologia Eletrnica Ltda.                                       =
' =   Projeto:   Driver p/ Windows NT / E/S digital       Data: 01/mar/1999  =
' =   Programa:  Teste do driver Lynx-IO                                     =
' =   Autor:     Lauro                                                       =
' =   Descrio: Acesso s primitivas do driver Lynx-IO                      =
' =   Verso:    1.0                                                         =
' ============================================================================

' ============================================================================
' =                         Declarao de Tipos                              =
' ============================================================================

  Type TpDriverInfo             ' Informaes do driver
      VersionHigh As Byte       ' Verso do driver: high part
      VersionLow  As Byte       ' Verso do driver: low part
      IoBase      As Long       ' Endereo base da placa
      nIoPorts    As Long       ' Nmero de ports de I/O
  End Type


' ============================================================================
' =          Primitivas do driver LYNX-IO.SYS.VXD acessados pela DLL         =
' ============================================================================

'-----------------------------------------  Abre o acesso ao driver Lynx-IO --
Declare Function WDM_Open Lib "LynxIO.DLL" () As Long

'--------------------------------------------------- Fecha o driver Lynx-IO --
Declare Sub LWDM_Close Lib "LynxIO.DLL" ()

'-------------------------------------------- Devolve informaes do driver --
Declare Function LynxIO_DriverInfo Lib "LynxIO.DLL" (ByRef DriverInfo As TpDriverInfo) As Byte

'------------------------------------- Leitura do port de entrada RegNumber --
Declare Function LynxIO_ReadDI_Byte Lib "LynxIO.DLL" (ByVal RegNumber As Byte) As Byte

'----------------------- Leitura do port de entrada RegNumber e RegNumber+1 --
Declare Function LynxIO_ReadDI Lib "LynxIO.DLL" (ByVal RegNumber As Byte) As Integer

'--------------------------------------- Escreve no port de saida RegNumber --
Declare Sub LynxIO_WriteDO_Byte Lib "LynxIO.DLL" (ByVal RegNumber As Byte, ByVal Value As Byte)

'------------------------- Escreve no port de saida RegNumber e RegNumber+1 --
Declare Sub LynxIO_WriteDO Lib "LynxIO.DLL" (ByVal RegNumber As Byte, ByVal Value As Integer)



Public fMainForm As frmMain


Sub Main()
    Set fMainForm = New frmMain
    fMainForm.Show
End Sub



